Page MenuHomePhabricator

Cargo seems to break PageImages
Closed, InvalidPublic

Description

When trying to install PageImages on a wiki with Cargo, Cargo seems to break the functionality of PageImages. PageImages isn't able to select and store images and when the PageImage maintenance script initImageData.php is run, the following errors are returned:

PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Warning:  array_flip(): Can only flip STRING and INTEGER values! in /htdocs/extensions/PageImages/includes/ParserFileProcessingHookHandlers.php on line 123
PHP Warning:  array_flip(): Can only flip STRING and INTEGER values! in /htdocs/extensions/PageImages/includes/ParserFileProcessingHookHandlers.php on line 123
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87
PHP Notice:  Undefined variable: offsetStr in /htdocs/extensions/Cargo/includes/parserfunctions/CargoCompoundQuery.php on line 87

Perhaps this is an issue with PageImages rather than Cargo?

Version info:
MW: 1.31.0
PHP: 7.0.30
Cargo: 2.0-rc1
PageImages: REL1_31

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2018, 8:29 AM

Please include version information in bug reports, such as MediaWiki version and extension versions. Thanks!

Bryandamon updated the task description. (Show Details)Sep 10 2018, 4:56 PM

Noted, thanks. I updated the task with versioning info.

Bryandamon updated the task description. (Show Details)Sep 10 2018, 7:52 PM

@Bryandamon - I'm pretty sure that problem has nothing to do with Cargo. You did, however, find an (I think) unrelated issue in Cargo - I just checked in a fix for it.

@Yaron_Koren - Noted, thanks. Should I change the status to resolved or is that someone else's role?

Yaron_Koren closed this task as Resolved.Sep 12 2018, 8:51 PM
Yaron_Koren claimed this task.

Sure, you can change it to Resolved - or Invalid - or you can rename it, and make it a PageImages issue.

@Yaron_Koren - Looks like you changed it to Resolved, thanks.

Phabricator had a similar issue for PageImages, thanks for pointing me in the right direction.
https://phabricator.wikimedia.org/T203965

Yaron_Koren changed the task status from Resolved to Invalid.Sep 13 2018, 2:38 AM

Oh, yes I did! I didn't mean to do that. :) Changing to Invalid...